Bug 85521 - Remove non-overlap testing code in RenderLayerCompositor
Summary: Remove non-overlap testing code in RenderLayerCompositor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shawn Singh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-03 11:34 PDT by Simon Fraser (smfr)
Modified: 2013-04-19 13:40 PDT (History)
7 users (show)

See Also:


Attachments
Patch (8.62 KB, patch)
2013-04-18 23:05 PDT, Shawn Singh
no flags Details | Formatted Diff | Diff
Patch for landing (8.92 KB, patch)
2013-04-19 13:11 PDT, Shawn Singh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2012-05-03 11:34:51 PDT
Overlap testing is now always active in RenderLayerCompositor. We should remove code related to the non-overlap path. I think this also eliminates the 'partial updates'  notion in RenderLayerCompositor::updateCompositingLayers().
Comment 1 Shawn Singh 2013-04-18 23:05:42 PDT
Created attachment 198806 [details]
Patch
Comment 2 Simon Fraser (smfr) 2013-04-19 08:59:17 PDT
Comment on attachment 198806 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=198806&action=review

I would like to be able to reintroduce partial updates at some point, but OK.

> Source/WebCore/rendering/RenderLayerCompositor.cpp:547
> +        CompositingState compState(updateRoot, true);

Mysterious 'true'. Can that be a parameter default value?
Comment 3 Shawn Singh 2013-04-19 13:11:26 PDT
Created attachment 198911 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2013-04-19 13:40:12 PDT
Comment on attachment 198911 [details]
Patch for landing

Clearing flags on attachment: 198911

Committed r148765: <http://trac.webkit.org/changeset/148765>
Comment 5 WebKit Commit Bot 2013-04-19 13:40:16 PDT
All reviewed patches have been landed.  Closing bug.